Index: /trunk/dports/aqua/pgAdmin3/Portfile
===================================================================
--- /trunk/dports/aqua/pgAdmin3/Portfile	(revision 98239)
+++ /trunk/dports/aqua/pgAdmin3/Portfile	(revision 98240)
@@ -3,9 +3,7 @@
 
 PortSystem 1.0
-PortGroup               archcheck 1.0
 
 name		pgAdmin3
-version		1.14.3
-license     PostgreSQL
+version		1.16.0
 
 categories	aqua
@@ -27,22 +25,18 @@
 distname	pgadmin3-${version}
 
-checksums           rmd160  e7846f76c54a935ba1395265f0c2de265c199c45 \
-                    sha256  00724a88b9f9f6ded24c98052053aef9b09a6a51816fbe9809f398307de12dd7
+checksums           rmd160  d528d78d1a6ebcbd25f3af31d50623252eb3820c \
+                    sha256  f9cd6ff620f9c920615261ed6bd4b4c9f7b446420ed18a8080d2375640d851ac
 
-depends_lib	port:postgresql91 \
-    port:wxWidgets \
-    port:openssl \
+depends_lib port:openssl \
     port:libxml2 \
-    port:libxslt
+    port:libxslt \
+    port:wxWidgets30
 
-archcheck.files lib/postgresql91/libpq.dylib \
-    lib/libwx_macu_gl-2.8.dylib
-#    lib/libwx_osx_cocoau_gl-2.9.dylib
-
-configure.args	--with-pgsql=${prefix}/lib/postgresql91 \
+configure.args	--with-pgsql=${prefix}/lib/postgresql92 \
     --with-wx=${prefix} \
-    --with-wx-version=2.8 \
+    --with-wx-version=2.9 \
     --with-libxml2=${prefix} \
     --with-libxslt=${prefix} \
+    --with-arch-x86_64 \
     --enable-appbundle
 
@@ -50,8 +44,11 @@
 build.target	all install
 
-supported_archs	i386 ppc
+default_variants    +with_postgresql92
 
-# wxWidgets is not universal
 universal_variant no
+
+post-configure {
+    system -W ${worksrcpath} "patch -p0 <${filespath}/patch-Makefile.diff"
+}
 
 #destroot.violate_mtree	yes
@@ -61,42 +58,40 @@
 }
 
-variant with_postgresql82 conflicts with_postgresql83 with_postgresql84 with_postgresql90 \
-    description {support for PostgreSQL 8.2.x} {
-        archcheck.files-delete lib/postgresql91/libpq.dylib
-        archcheck.files-append lib/postgresql82/libpq.dylib
-	depends_lib-delete	port:postgresql91
-	depends_lib-delete	--with-pgsql=${prefix}/lib/postgresql91
-	depends_lib-append	port:postgresql82
-	configure.args-append	--with-pgsql=${prefix}/lib/postgresql82
-}
-
-variant with_postgresql83 conflicts with_postgresql82 with_postgresql84 with_postgresql90 \
+variant with_postgresql83 conflicts with_postgresql84 with_postgresql90 with_postgresql91 with_postgresql92 \
     description {support for PostgreSQL 8.3.x} {
-        archcheck.files-delete lib/postgresql91/libpq.dylib
-        archcheck.files-append lib/postgresql83/libpq.dylib
-	depends_lib-delete	port:postgresql91
-	depends_lib-delete	--with-pgsql=${prefix}/lib/postgresql91
+	depends_lib-delete	port:postgresql92
+	configure.args-delete	--with-pgsql=${prefix}/lib/postgresql92
 	depends_lib-append	port:postgresql83
 	configure.args-append	--with-pgsql=${prefix}/lib/postgresql83
 }
 
-variant with_postgresql84 conflicts with_postgresql82 with_postgresql83 with_postgresql90 \
+variant with_postgresql84 conflicts with_postgresql83 with_postgresql90 with_postgresql91 with_postgresql92 \
     description {support for PostgreSQL 8.4.x} {
-        archcheck.files-delete lib/postgresql91/libpq.dylib
-        archcheck.files-append lib/postgresql84/libpq.dylib
-	depends_lib-delete	port:postgresql91
-	depends_lib-delete	--with-pgsql=${prefix}/lib/postgresql91
+	depends_lib-delete	port:postgresql92
+	configure.args-delete	--with-pgsql=${prefix}/lib/postgresql92
 	depends_lib-append	port:postgresql84
 	configure.args-append	--with-pgsql=${prefix}/lib/postgresql84
 }
 
-variant with_postgresql90 conflicts with_postgresql82 with_postgresql83 with_postgresql84 \
+variant with_postgresql90 conflicts with_postgresql83 with_postgresql84 with_postgresql91 with_postgresql92 \
     description {support for PostgreSQL 9.0.x} {
-        archcheck.files-delete lib/postgresql91/libpq.dylib
-        archcheck.files-append lib/postgresql90/libpq.dylib
-	depends_lib-delete	port:postgresql91
-	depends_lib-delete	--with-pgsql=${prefix}/lib/postgresql91
+	depends_lib-delete	port:postgresql92
+	configure.args-delete	--with-pgsql=${prefix}/lib/postgresql92
 	depends_lib-append	port:postgresql90
 	configure.args-append	--with-pgsql=${prefix}/lib/postgresql90
+}
+
+variant with_postgresql91 conflicts with_postgresql83 with_postgresql84 with_postgresql90 with_postgresql92 \
+    description {support for PostgreSQL 9.1.x} {
+	depends_lib-delete	port:postgresql92
+	configure.args-delete	--with-pgsql=${prefix}/lib/postgresql92
+	depends_lib-append	port:postgresql91
+	configure.args-append	--with-pgsql=${prefix}/lib/postgresql91
+}
+
+variant with_postgresql92 conflicts with_postgresql83 with_postgresql84 with_postgresql90 with_postgresql91 \
+    description {support for PostgreSQL 9.2.x} {
+	depends_lib-append	port:postgresql92
+	configure.args-append	--with-pgsql=${prefix}/lib/postgresql92
 }
 