Index: /trunk/dports/science/arb/Portfile
===================================================================
--- /trunk/dports/science/arb/Portfile	(revision 98240)
+++ /trunk/dports/science/arb/Portfile	(revision 98241)
@@ -45,5 +45,6 @@
                         port:xfig \
                         port:gv \
-                        port:xorg-libXaw
+                        port:xorg-libXaw \
+                        port:libpng
 
 patchfiles              patch-ARB-config.makefile.diff \
@@ -86,8 +87,5 @@
                         PATH=${worksrcpath}/bin:$env(PATH)
 
-# https://trac.macports.org/ticket/33756
-if {${configure.compiler} == "clang"} {
-    configure.compiler llvm-gcc-4.2
-}
+compiler.blacklist      clang
 
 build.args              GCC=${configure.cc} \
Index: /trunk/dports/science/bob/Portfile
===================================================================
--- /trunk/dports/science/bob/Portfile	(revision 98241)
+++ /trunk/dports/science/bob/Portfile	(revision 98241)
@@ -0,0 +1,142 @@
+# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
+# $Id$
+
+PortSystem          1.0
+PortGroup           cmake 1.0
+
+name                bob
+version             1.0.6
+set soversion       1.0
+categories          science math devel
+platforms           darwin
+maintainers         idiap.ch:andre.anjos \
+                    idiap.ch:laurent.el-shafey
+
+description         Bob is a signal-processing and machine learning toolbox
+
+long_description    Bob is a signal-processing and machine learning toolbox \
+                    developed at the Idiap Research Institute, in Martigny, \
+                    Switzerland. The toolbox is written in a mix of Python \
+                    and C++ and is designed to be both efficient and to \
+                    reduce development time.
+
+license             GPL-3
+homepage            http://idiap.github.com/bob/
+master_sites        https://github.com/idiap/bob/downloads/
+use_zip             yes
+
+checksums           rmd160 eac3e390ed25c69d8c6038f815ea473c21118a0f \
+                    sha256 767e22bddb2bfb59458b76eb37cab3791bf1bfbe33fc7ad11ca29038343b5dea
+
+use_parallel_build  no
+
+depends_lib         port:blitz \
+    port:ffmpeg \
+    port:matio \
+    port:imagemagick \
+    port:hdf5-18 \
+    port:boost \
+    port:fftw-3 \
+    port:vlfeat \
+    port:libsvm
+
+configure.args      -DCMAKE_BUILD_TYPE=Release -DBOB_VERSION=${version} -DBOB_SOVERSION=${soversion}
+
+compiler.blacklist  clang
+
+universal_variant   no
+default_variants    +qt4 +opencv
+
+if { ![variant_isset python26] } {
+    default_variants-append +python27
+}
+
+variant python26 conflicts python27 description "Builds for python 2.6." {
+    depends_lib-append    port:py26-numpy \
+      port:py26-matplotlib \
+      port:py26-sqlalchemy \
+      port:py26-argparse \
+      port:py26-scipy
+}
+
+variant python27 conflicts python26 description "Builds for python 2.7." {
+    depends_lib-append    port:py27-numpy \
+      port:py27-matplotlib \
+      port:py27-sqlalchemy \
+      port:py27-scipy
+}
+
+variant qt4 description "Compile Qt4 extensions." {
+    depends_lib-append      port:qt4-mac
+}
+
+variant opencv description "Compile OpenCV extensions." {
+    depends_lib-append      port:opencv
+}
+
+variant doc description "Builds documentation." {
+    depends_build-append    port:dvipng \
+        port:doxygen \
+        port:texlive-latex-extra \
+        port:texlive-fonts-recommended
+    destroot.target-append  sphinx-latex install-sphinx install-doxygen
+
+    if {[variant_isset python26]} {
+      depends_build-append  port:py26-sphinx
+    }
+    if {[variant_isset python27]} {
+      depends_build-append  port:py27-sphinx
+    }
+    test.run yes
+    test.target sphinx-doctest
+}
+
+pre-configure {
+    if {[variant_isset python26]} {
+        configure.args-append -DWITH_PYTHON=${prefix}/bin/python2.6
+    } elseif {[variant_isset python27]} {
+        configure.args-append -DWITH_PYTHON=${prefix}/bin/python2.7
+    } 
+}
+
+post-destroot {
+    if {[variant_isset python26]} {
+        set pypath ${prefix}/lib/python2.6/site-packages
+        set pycompile ${prefix}/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/site-packages
+        xinstall -d ${destroot}/${pycompile}
+        system "${prefix}/bin/python2.6 -m compileall ${destroot}/${pypath}/bob"
+        move ${destroot}/${pypath}/bob ${destroot}/${pycompile}/bob
+        move ${destroot}/${pypath}/bob-${version}-py2.6.egg-info ${destroot}/${pycompile}/
+    } elseif {[variant_isset python27]} {
+        set pypath ${prefix}/lib/python2.7/site-packages
+        set pycompile ${prefix}/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/site-packages
+        xinstall -d ${destroot}/${pycompile}
+        system "${prefix}/bin/python2.7 -m compileall ${destroot}/${pypath}/bob"
+        move ${destroot}/${pypath}/bob ${destroot}/${pycompile}/bob
+        move ${destroot}/${pypath}/bob-${version}-py2.7.egg-info ${destroot}/${pycompile}/
+    }
+}
+
+# check if boost is installed with the required python variant
+if {[variant_isset python26]} {
+    set boost_python_required   2.6
+    set boost_variant           +python26
+} elseif {[variant_isset python27]} {
+    set boost_python_required   2.7
+    set boost_variant           +python27
+}
+
+set boost_python_lib ${prefix}/lib/libboost_python-mt.dylib
+set boost_python_version "0"
+if {[file exists ${boost_python_lib}]} {
+    set boost_python_version [exec /usr/bin/otool -L ${boost_python_lib} | /usr/bin/grep Python | /usr/bin/sed -e "s|^.*Versions/||" -e "s|/.*||"]
+}
+if {${boost_python_version} != ${boost_python_required}} {
+    depends_lib-delete port:boost
+    pre-configure {
+        ui_error "${name} requires boost installed with variant ${boost_variant}."
+        ui_error "Please install boost as follows and try installing ${name} again:"
+        ui_error "sudo port install boost ${boost_variant}"
+        return -code error "incompatible boost installation"
+    }
+}
Index: /trunk/dports/science/samtools/Portfile
===================================================================
--- /trunk/dports/science/samtools/Portfile	(revision 98240)
+++ /trunk/dports/science/samtools/Portfile	(revision 98241)
@@ -5,5 +5,5 @@
 
 name                    samtools
-version                 0.1.17
+version                 0.1.18
 categories              science
 platforms               darwin
@@ -21,6 +21,6 @@
 master_sites            sourceforge
 
-checksums               sha1    4d2ef4273d9f71cd1f504f43c596970845d78718 \
-                        rmd160  0921e733358ccf01d316dff2b797957f4f2cfb7b
+checksums               rmd160  0301de58e31c7529a2535086be0cc7d93778ede8 \
+                        sha256  f3faaf34430d4782956562eb72906289e8e34d44d0c4d73837bdbeead7746b16
 
 use_bzip2               yes