Index: /trunk/dports/news/tin-recent/Portfile
===================================================================
--- /trunk/dports/news/tin-recent/Portfile	(revision 98336)
+++ /trunk/dports/news/tin-recent/Portfile	(revision 98337)
@@ -1,2 +1,3 @@
+# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
 # $Id$
 
@@ -69,7 +70,5 @@
 #   1.9.6  =  1.8.0  + patches 001 to 021 and U001 to U025.
 
-# Note: Portfile reformatted according to portstyle(7).
-
-PortSystem 1.0
+PortSystem          1.0
 
 name                tin-recent
@@ -79,5 +78,5 @@
 platforms           darwin
 maintainers         nomaintainer
-homepage            http://www.tin.org/
+
 description         A Usenet newsreader
 
@@ -92,13 +91,14 @@
 
 set tindir tin/v[strsed ${version} {/\.[0-9]*$//}]/
+homepage            http://www.tin.org/
 master_sites        ftp://ftp.tin.org/pub/news/clients/${tindir} \
                     ftp://ftp.cuhk.edu.hk/pub/packages/news/${tindir}
 
+distname            tin-${version}
 use_bzip2           yes
+
 checksums           md5     f08018dbbdc4d227f6bbd7012f92b217 \
                     sha1    a5d843ab938f6380a9d92fa95b5a2267999f958b \
                     rmd160  284fe48668dfe3e20dd69b82834405792ec50aae
-
-distname            tin-${version}
 
 livecheck.type      regex
@@ -145,20 +145,21 @@
     xinstall -d "${destroot}${prefix}/etc/tin"
     xinstall -m 644 -v -W "${worksrcpath}/doc" \
-      auth.txt CHANGES config-anomalies filtering good-netkeeping-seal \
-      iso2asc.txt keymap.sample mailcap.sample pgp.txt reading-mail.txt \
-      TODO umlaute.txt umlauts.txt WHATSNEW \
-      "${destroot}${prefix}/share/doc/${name}"
+        auth.txt CHANGES config-anomalies filtering good-netkeeping-seal \
+        iso2asc.txt keymap.sample mailcap.sample pgp.txt reading-mail.txt \
+        TODO umlaute.txt umlauts.txt WHATSNEW \
+        "${destroot}${prefix}/share/doc/${name}"
     file copy "${worksrcpath}/doc/tin.defaults" \
-      "${destroot}${prefix}/etc/tin/tin.defaults-${version}"
+        "${destroot}${prefix}/etc/tin/tin.defaults-${version}"
 }
 
 post-destroot {
     xinstall -m 755 -v -W "${worksrcpath}/tools" \
-      expiretover tinews.pl tinlock "${destroot}${prefix}/bin"
-   # mutt-devel also installs these man pages, so removing here (since they
-   # describe mail formats, makes a little more sense to be in the mail app)
-   # ticket #11475
-   delete ${destroot}${prefix}/share/man/man5/mbox.5
-   delete ${destroot}${prefix}/share/man/man5/mmdf.5
+        expiretover tinews.pl tinlock \
+        "${destroot}${prefix}/bin"
+    # mutt-devel also installs these man pages, so removing here (since they
+    # describe mail formats, makes a little more sense to be in the mail app)
+    # ticket #11475
+    delete ${destroot}${prefix}/share/man/man5/mbox.5
+    delete ${destroot}${prefix}/share/man/man5/mmdf.5
 }
 
@@ -166,27 +167,27 @@
     set f "${prefix}/etc/tin/tin.defaults"
     if {![file exists ${f}]} {
-      file copy ${f}-${version} ${f}
+        file copy ${f}-${version} ${f}
     }
 }
 
 variant gpg description {GnuPG support} {
-    depends_run bin:gpg:gnupg
-    configure.args-delete --disable-pgp-gpg
-    configure.args-append --with-gpg=${prefix}/bin/gpg \
-                          --without-pgp \
-                          --without-pgpk
+    depends_run             bin:gpg:gnupg
+    configure.args-delete   --disable-pgp-gpg
+    configure.args-append   --with-gpg=${prefix}/bin/gpg \
+                            --without-pgp \
+                            --without-pgpk
 }
 
 variant pgp5 description {PGPK support} {
-    depends_run bin:pgpk:pgp
-    configure.args-delete --disable-pgp-gpg
-    configure.args-append --with-pgpk=${prefix}/bin/pgpk \
-                          --without-gpg \
-                          --without-pgp
+    depends_run             bin:pgpk:pgp
+    configure.args-delete   --disable-pgp-gpg
+    configure.args-append   --with-pgpk=${prefix}/bin/pgpk \
+                            --without-gpg \
+                            --without-pgp
 }
 
 variant ispell description {Ispell support} {
-    depends_run bin:ispell:ispell
-    configure.args-delete --without-ispell
-    configure.args-append --with-ispell=${prefix}/bin/ispell
+    depends_run             bin:ispell:ispell
+    configure.args-delete   --without-ispell
+    configure.args-append   --with-ispell=${prefix}/bin/ispell
 }