Index: /trunk/dports/databases/couchdb-devel/Portfile
===================================================================
--- /trunk/dports/databases/couchdb-devel/Portfile	(revision 98343)
+++ /trunk/dports/databases/couchdb-devel/Portfile	(revision 98344)
@@ -7,4 +7,5 @@
 svn.revision        1177555
 version             1.3.0a${svn.revision}
+revision            1
 
 categories          databases
Index: /trunk/dports/databases/couchdb/Portfile
===================================================================
--- /trunk/dports/databases/couchdb/Portfile	(revision 98343)
+++ /trunk/dports/databases/couchdb/Portfile	(revision 98344)
@@ -6,5 +6,5 @@
 name		couchdb
 version		1.2.0
-revision	1
+revision	2
 
 categories	databases
Index: /trunk/dports/databases/openldap/Portfile
===================================================================
--- /trunk/dports/databases/openldap/Portfile	(revision 98343)
+++ /trunk/dports/databases/openldap/Portfile	(revision 98344)
@@ -7,5 +7,5 @@
 name            openldap
 version         2.4.31
-revision        1
+revision        2
 categories      databases
 maintainers     landonf
Index: /trunk/dports/devel/beecrypt/Portfile
===================================================================
--- /trunk/dports/devel/beecrypt/Portfile	(revision 98343)
+++ /trunk/dports/devel/beecrypt/Portfile	(revision 98344)
@@ -4,5 +4,5 @@
 name             beecrypt
 version          4.2.1
-revision         3
+revision         4
 platforms        darwin freebsd
 license          LGPL-2.1+
Index: /trunk/dports/devel/boost/Portfile
===================================================================
--- /trunk/dports/devel/boost/Portfile	(revision 98343)
+++ /trunk/dports/devel/boost/Portfile	(revision 98344)
@@ -6,4 +6,5 @@
 name            boost
 version         1.51.0
+revision        1
 license         Boost-1
 categories      devel
Index: /trunk/dports/graphics/harfbuzz/Portfile
===================================================================
--- /trunk/dports/graphics/harfbuzz/Portfile	(revision 98343)
+++ /trunk/dports/graphics/harfbuzz/Portfile	(revision 98344)
@@ -6,5 +6,5 @@
 name                harfbuzz
 version             0.9.3
-revision            1
+revision            2
 categories          graphics
 platforms           darwin
Index: /trunk/dports/lang/parrot/Portfile
===================================================================
--- /trunk/dports/lang/parrot/Portfile	(revision 98343)
+++ /trunk/dports/lang/parrot/Portfile	(revision 98344)
@@ -5,5 +5,5 @@
 name                    parrot
 version                 3.3.0
-revision        1
+revision                2
 categories              lang devel
 license                 Artistic-2
Index: /trunk/dports/lang/php/Portfile
===================================================================
--- /trunk/dports/lang/php/Portfile	(revision 98343)
+++ /trunk/dports/lang/php/Portfile	(revision 98344)
@@ -563,4 +563,6 @@
 
 subport ${php}-intl {
+    revision                1
+    
     categories-append       devel
     
Index: /trunk/dports/math/R-framework/Portfile
===================================================================
--- /trunk/dports/math/R-framework/Portfile	(revision 98343)
+++ /trunk/dports/math/R-framework/Portfile	(revision 98344)
@@ -10,5 +10,5 @@
 conflicts                   R
 version                     ${major}.${minor}.${point}
-revision                    3
+revision                    4
 categories                  math science
 maintainers                 me.com:kjell.konis
Index: /trunk/dports/math/R/Portfile
===================================================================
--- /trunk/dports/math/R/Portfile	(revision 98343)
+++ /trunk/dports/math/R/Portfile	(revision 98344)
@@ -7,5 +7,5 @@
 conflicts        R-framework
 version          2.15.1
-revision         1
+revision         2
 categories       math science
 maintainers      me.com:kjell.konis
Index: /trunk/dports/net/yaz/Portfile
===================================================================
--- /trunk/dports/net/yaz/Portfile	(revision 98343)
+++ /trunk/dports/net/yaz/Portfile	(revision 98344)
@@ -6,4 +6,5 @@
 name                yaz
 version             4.2.33
+revision            1
 categories          net databases devel
 platforms           darwin
Index: /trunk/dports/news/tin-recent/Portfile
===================================================================
--- /trunk/dports/news/tin-recent/Portfile	(revision 98343)
+++ /trunk/dports/news/tin-recent/Portfile	(revision 98344)
@@ -74,5 +74,5 @@
 name                tin-recent
 version             1.9.6
-revision            4
+revision            5
 categories          news
 platforms           darwin
Index: /trunk/dports/php/php5-intl/Portfile
===================================================================
--- /trunk/dports/php/php5-intl/Portfile	(revision 98343)
+++ /trunk/dports/php/php5-intl/Portfile	(revision 98344)
@@ -6,4 +6,5 @@
 
 php5extension.setup intl 5.3.17 bundled
+revision        1
 categories      php devel
 platforms       darwin
Index: /trunk/dports/python/py25-pyicu/Portfile
===================================================================
--- /trunk/dports/python/py25-pyicu/Portfile	(revision 98343)
+++ /trunk/dports/python/py25-pyicu/Portfile	(revision 98344)
@@ -6,5 +6,5 @@
 name            py25-pyicu
 version         0.8.1
-revision        3
+revision        4
 categories-append   textproc
 platforms       darwin
Index: /trunk/dports/python/py26-mapnik/Portfile
===================================================================
--- /trunk/dports/python/py26-mapnik/Portfile	(revision 98343)
+++ /trunk/dports/python/py26-mapnik/Portfile	(revision 98344)
@@ -6,5 +6,5 @@
 name                 py26-mapnik
 version              0.7.1
-revision             7
+revision             8
 categories           python gis
 
Index: /trunk/dports/python/py26-pyicu/Portfile
===================================================================
--- /trunk/dports/python/py26-pyicu/Portfile	(revision 98343)
+++ /trunk/dports/python/py26-pyicu/Portfile	(revision 98344)
@@ -6,5 +6,5 @@
 name            py26-pyicu
 version         0.8.1
-revision        3
+revision        4
 categories-append   textproc
 platforms       darwin
Index: /trunk/dports/textproc/sword/Portfile
===================================================================
--- /trunk/dports/textproc/sword/Portfile	(revision 98343)
+++ /trunk/dports/textproc/sword/Portfile	(revision 98344)
@@ -6,5 +6,5 @@
 name            sword
 version         1.6.2
-revision        3
+revision        4
 set branch      [join [lrange [split ${version} .] 0 1] .]
 categories      textproc
Index: /trunk/dports/textproc/vislcg3/Portfile
===================================================================
--- /trunk/dports/textproc/vislcg3/Portfile	(revision 98343)
+++ /trunk/dports/textproc/vislcg3/Portfile	(revision 98344)
@@ -6,5 +6,5 @@
 name                    vislcg3
 version                 0.9.7.5129
-revision                3
+revision                4
 categories              textproc
 platforms               darwin
Index: /trunk/dports/textproc/xercesc3/Portfile
===================================================================
--- /trunk/dports/textproc/xercesc3/Portfile	(revision 98343)
+++ /trunk/dports/textproc/xercesc3/Portfile	(revision 98344)
@@ -7,5 +7,5 @@
 conflicts           xercesc
 version             3.1.1
-revision            4
+revision            5
 categories          textproc xml shibboleth
 maintainers         snc scantor
Index: /trunk/dports/textproc/zorba/Portfile
===================================================================
--- /trunk/dports/textproc/zorba/Portfile	(revision 98343)
+++ /trunk/dports/textproc/zorba/Portfile	(revision 98344)
@@ -7,4 +7,5 @@
 name            zorba
 version         2.2.0
+revision        1
 set branch      [join [lrange [split ${version} .] 0 1] .]
 license         Apache-2
Index: /trunk/dports/www/webkit-gtk/Portfile
===================================================================
--- /trunk/dports/www/webkit-gtk/Portfile	(revision 98343)
+++ /trunk/dports/www/webkit-gtk/Portfile	(revision 98344)
@@ -8,5 +8,5 @@
 epoch           1
 version		1.8.3
-revision        1
+revision        2
 description	Apple's WebKit HTML rendering library for GTK+
 long_description ${description}