Index: /trunk/dports/net/transmission/Portfile
===================================================================
--- /trunk/dports/net/transmission/Portfile	(revision 98416)
+++ /trunk/dports/net/transmission/Portfile	(revision 98417)
@@ -6,5 +6,5 @@
 
 name            transmission
-version         2.42
+version         2.71
 categories      net aqua
 maintainers     mnick openmaintainer
@@ -25,7 +25,6 @@
                 http://download.transmissionbt.com/files/
 
-checksums       md5     2ade0818d465779bd956b8b72ea56b02 \
-                sha1    744068c76f68c141d2aada689bc49a5b56cd618b \
-                rmd160  83f380f0b4f63e52c129c906dc8e8e4649e04c5c
+checksums       rmd160  9a328181919b4d3d1e5a5d590ac8f19075860758 \
+                sha256  22d2784931671f4dcaca7d648e0fb028ec46541f85f44208c85425a05d8d5610
 
 use_bzip2       yes
Index: /trunk/dports/net/transmission/files/patch-xcodebuild.diff
===================================================================
--- /trunk/dports/net/transmission/files/patch-xcodebuild.diff	(revision 98416)
+++ /trunk/dports/net/transmission/files/patch-xcodebuild.diff	(revision 98417)
@@ -1,14 +1,5 @@
---- Transmission.xcodeproj/project.pbxproj.orig	2011-10-01 16:38:33.000000000 -0400
-+++ Transmission.xcodeproj/project.pbxproj	2011-10-01 16:38:33.000000000 -0400
-@@ -477,7 +477,7 @@
- 		4D118E1808CB46B20033958F /* PrefsController.h */ = {isa = PBXFileReference; fileEncoding = 30; lastKnownFileType = sourcecode.c.h; name = PrefsController.h; path = macosx/PrefsController.h; sourceTree = "<group>"; };
- 		4D118E1908CB46B20033958F /* PrefsController.m */ = {isa = PBXFileReference; fileEncoding = 30; lastKnownFileType = sourcecode.c.objc; name = PrefsController.m; path = macosx/PrefsController.m; sourceTree = "<group>"; };
- 		4D18389709DEC0030047D688 /* libtransmission.a */ = {isa = PBXFileReference; explicitFileType = archive.ar; includeInIndex = 0; path = libtransmission.a; sourceTree = BUILT_PRODUCTS_DIR; };
--		4D2617F709DECE3D00D08EFA /* libcrypto.0.9.7.dylib */ = {isa = PBXFileReference; lastKnownFileType = "compiled.mach-o.dylib"; name = libcrypto.0.9.7.dylib; path = "@@PREFIX@@/lib/libcrypto.0.9.7.dylib"; sourceTree = "<group>"; };
-+		4D2617F709DECE3D00D08EFA /* libcrypto.dylib */ = {isa = PBXFileReference; lastKnownFileType = "compiled.mach-o.dylib"; name = libcrypto.dylib; path = "@@PREFIX@@/lib/libcrypto.dylib"; sourceTree = "<group>"; };
- 		4D2784360905709500687951 /* Transmission.icns */ = {isa = PBXFileReference; explicitFileType = image.icns; name = Transmission.icns; path = macosx/Images/Transmission.icns; sourceTree = "<group>"; };
- 		4D364D9E091FBB2C00377D12 /* TorrentTableView.h */ = {isa = PBXFileReference; fileEncoding = 30; lastKnownFileType = sourcecode.c.h; name = TorrentTableView.h; path = macosx/TorrentTableView.h; sourceTree = "<group>"; };
- 		4D364D9F091FBB2C00377D12 /* TorrentTableView.m */ = {isa = PBXFileReference; fileEncoding = 30; lastKnownFileType = sourcecode.c.objc; name = TorrentTableView.m; path = macosx/TorrentTableView.m; sourceTree = "<group>"; };
-@@ -1942,24 +1942,6 @@
+--- Transmission.xcodeproj/project.pbxproj.orig	2012-09-22 17:35:42.000000000 +0200
++++ Transmission.xcodeproj/project.pbxproj	2012-09-22 17:57:03.000000000 +0200
+@@ -2142,24 +2142,6 @@
  			productReference = BE1183480CE160960002D0F3 /* libminiupnp.a */;
  			productType = "com.apple.product-type.library.static";
@@ -35,5 +26,5 @@
  			isa = PBXNativeTarget;
  			buildConfigurationList = BEFC1C090C07753800B0BB3C /* Build configuration list for PBXNativeTarget "transmission-daemon" */;
-@@ -2044,7 +2026,6 @@
+@@ -2245,7 +2227,6 @@
  				BEFC1CEA0C07822400B0BB3C /* transmission-remote */,
  				A22CFCB90FC24F710009BD3E /* dht */,
@@ -43,7 +34,7 @@
  				3C7A118C0D0B2EB800B5701F /* natpmp */,
  			);
-@@ -2186,19 +2167,6 @@
+@@ -2446,19 +2427,6 @@
  			shellPath = /bin/sh;
- 			shellScript = "sh third-party/miniupnp/updateminiupnpcstrings.sh \"$SCRIPT_INPUT_FILE_0\" \"$SCRIPT_OUTPUT_FILE_0\"";
+ 			shellScript = "sh third-party/miniupnp/updateminiupnpcstrings.sh \"$SCRIPT_INPUT_FILE_0\" \"$SCRIPT_INPUT_FILE_1\" \"$SCRIPT_OUTPUT_FILE_0\"";
  		};
 -		BE75C3510C729EE100DBEFE0 /* ShellScript */ = {
@@ -63,26 +54,2 @@
  
  /* Begin PBXSourcesBuildPhase section */
-@@ -2739,6 +2707,7 @@
- 					"$(inherited)",
- 					"-DSYS_DARWIN",
- 				);
-+				OTHER_LDFLAGS = "-lstdc++";
- 				PRODUCT_NAME = Transmission;
- 				WRAPPER_EXTENSION = app;
- 			};
-@@ -2899,6 +2868,7 @@
- 					"$(inherited)",
- 					"-DSYS_DARWIN",
- 				);
-+				OTHER_LDFLAGS = "-lstdc++";
- 				PRODUCT_NAME = Transmission;
- 				WRAPPER_EXTENSION = app;
- 			};
-@@ -3016,6 +2986,7 @@
- 					"$(inherited)",
- 					"-DSYS_DARWIN",
- 				);
-+				OTHER_LDFLAGS = "-lstdc++";
- 				PRODUCT_NAME = Transmission;
- 				WRAPPER_EXTENSION = app;
- 			};