Index: /trunk/dports/databases/db47/Portfile
===================================================================
--- /trunk/dports/databases/db47/Portfile	(revision 98530)
+++ /trunk/dports/databases/db47/Portfile	(revision 98531)
@@ -32,25 +32,24 @@
 patch.dir       ${workpath}/${distname}
 
-checksums \
-    ${distname}${extract.suffix} \
-    md5     ec2b87e833779681a0c3a814aa71359e \
-    sha1    957c10358df1211e1dc37ea997aadef42117d6a5 \
-    rmd160  9a5d8149d61452906c3f1c36f2859a2033c8bc3b \
-    patch.${version}.1 \
-    md5     5fdf101259e5164dea1c8c86214fde38 \
-    sha1    3ae3c02fb541dc8f8dee903a75450d2dbc0736a7 \
-    rmd160  89c58f5235f95e82e65bab447d1b9019bf26ed25 \
-    patch.${version}.2 \
-    md5     bd410a11c71fee52fddb6aa2d8d4f80c \
-    sha1    e3d56ad6e4a9bc092495f62c40c0cdf11ab2443c \
-    rmd160  097a6bc3e8efd43fe5bd0fd77a4b793cd0d6bc18 \
-    patch.${version}.3 \
-    md5     6fcd69f64f5b34bfe8f0a63cc2e402c1 \
-    sha1    1f707e6c65c8ebe9fa7b36333c6de76f2d480cf5 \
-    rmd160  a0ef673d8127be825444aaa12711dcf75b7fda1a \
-    patch.${version}.4 \
-    md5     c71830a1303cd34595ca655257196eec \
-    sha1    0eb5566ad2ca2232b92d8c71285bfaf32aba54dc \
-    rmd160  0b235122060785887eb41fa7657379bd4f1e57bf
+checksums       ${distname}${extract.suffix} \
+                md5     ec2b87e833779681a0c3a814aa71359e \
+                sha1    957c10358df1211e1dc37ea997aadef42117d6a5 \
+                rmd160  9a5d8149d61452906c3f1c36f2859a2033c8bc3b \
+                patch.${version}.1 \
+                md5     5fdf101259e5164dea1c8c86214fde38 \
+                sha1    3ae3c02fb541dc8f8dee903a75450d2dbc0736a7 \
+                rmd160  89c58f5235f95e82e65bab447d1b9019bf26ed25 \
+                patch.${version}.2 \
+                md5     bd410a11c71fee52fddb6aa2d8d4f80c \
+                sha1    e3d56ad6e4a9bc092495f62c40c0cdf11ab2443c \
+                rmd160  097a6bc3e8efd43fe5bd0fd77a4b793cd0d6bc18 \
+                patch.${version}.3 \
+                md5     6fcd69f64f5b34bfe8f0a63cc2e402c1 \
+                sha1    1f707e6c65c8ebe9fa7b36333c6de76f2d480cf5 \
+                rmd160  a0ef673d8127be825444aaa12711dcf75b7fda1a \
+                patch.${version}.4 \
+                md5     c71830a1303cd34595ca655257196eec \
+                sha1    0eb5566ad2ca2232b92d8c71285bfaf32aba54dc \
+                rmd160  0b235122060785887eb41fa7657379bd4f1e57bf
 
 configure.dir   ${worksrcpath}/build_unix
Index: /trunk/dports/databases/db48/Portfile
===================================================================
--- /trunk/dports/databases/db48/Portfile	(revision 98530)
+++ /trunk/dports/databases/db48/Portfile	(revision 98531)
@@ -25,8 +25,7 @@
 distname        db-${version}
 
-checksums \
-    md5     f80022099c5742cd179343556179aa8c \
-    sha1    ab36c170dda5b2ceaad3915ced96e41c6b7e493c \
-    rmd160  dd2fcd4c9b857a91e2f491fd4fadb0c51b993a9c
+checksums       md5     f80022099c5742cd179343556179aa8c \
+                sha1    ab36c170dda5b2ceaad3915ced96e41c6b7e493c \
+                rmd160  dd2fcd4c9b857a91e2f491fd4fadb0c51b993a9c
 
 configure.dir   ${worksrcpath}/build_unix
Index: /trunk/dports/databases/db51/Portfile
===================================================================
--- /trunk/dports/databases/db51/Portfile	(revision 98530)
+++ /trunk/dports/databases/db51/Portfile	(revision 98531)
@@ -25,8 +25,7 @@
 distname        db-${version}
 
-checksums \
-    md5     a94ea755ab695bc04f82b94d2e24a1ef \
-    sha1    42dc96c71873c7fde543c916ed866cadee6fa51d \
-    rmd160  0c1124f08f121fdd8e43e5622cc3b8ddfd724c78
+checksums       md5     a94ea755ab695bc04f82b94d2e24a1ef \
+                sha1    42dc96c71873c7fde543c916ed866cadee6fa51d \
+                rmd160  0c1124f08f121fdd8e43e5622cc3b8ddfd724c78
 
 configure.dir   ${worksrcpath}/build_unix
Index: /trunk/dports/databases/db52/Portfile
===================================================================
--- /trunk/dports/databases/db52/Portfile	(revision 98530)
+++ /trunk/dports/databases/db52/Portfile	(revision 98531)
@@ -25,8 +25,7 @@
 distname        db-${version}
 
-checksums \
-    md5     28c39545efbeb926d1efef0bf33135b9 \
-    sha1    c533839056ab465a12808d48d3af0a35e50019be \
-    rmd160  717b2b68ff7d225edaed834289d8e06a3c1d7cc7
+checksums       md5     28c39545efbeb926d1efef0bf33135b9 \
+                sha1    c533839056ab465a12808d48d3af0a35e50019be \
+                rmd160  717b2b68ff7d225edaed834289d8e06a3c1d7cc7
 
 configure.dir   ${worksrcpath}/build_unix
Index: /trunk/dports/databases/db53/Portfile
===================================================================
--- /trunk/dports/databases/db53/Portfile	(revision 98530)
+++ /trunk/dports/databases/db53/Portfile	(revision 98531)
@@ -25,8 +25,7 @@
 distname        db-${version}
 
-checksums \
-    md5     3fda0b004acdaa6fa350bfc41a3b95ca \
-    sha1    32e43c4898c8996750c958a90c174bd116fcba83 \
-    rmd160  5768a4d835d02020165c6561cc5c406339662fa0
+checksums       md5     3fda0b004acdaa6fa350bfc41a3b95ca \
+                sha1    32e43c4898c8996750c958a90c174bd116fcba83 \
+                rmd160  5768a4d835d02020165c6561cc5c406339662fa0
 
 configure.dir   ${worksrcpath}/build_unix