Index: /trunk/dports/devel/radare2/Portfile
===================================================================
--- /trunk/dports/devel/radare2/Portfile	(revision 98668)
+++ /trunk/dports/devel/radare2/Portfile	(revision 98669)
@@ -5,6 +5,5 @@
 
 name                radare2
-version             0.9
-revision            1
+version             0.9.2
 categories          devel
 platforms           darwin
@@ -16,23 +15,15 @@
 master_sites        ${homepage}/get/
 
-checksums           rmd160  f68ebf07ec62e907980e8f8bc195754bf993b466 \
-                    sha256  e12feea3b776601d7b680e64250897110cf4fca2f1214b4c527e13b7abe900e0
+checksums           rmd160  60140f2eeeae9c582bfdc027c78c0e7740868571 \
+                    sha256  5f73a41c36182a5f970c60ab1287958f785f35cf41e0a02c8c759f6003b8c52c
 
 patch.pre_args      -p1
 patchfiles          libr-Makefile.diff \
                     libr-config.mk.tail.diff \
-                    libr-rules.mk.diff \
-                    mk-gcc.mk.diff \
-                    configure.diff
+                    libr-rules.mk.diff
 
 variant universal {}
 
-build.env-append    LDFLAGS="-L${prefix}/lib"
 build.args          CC="${configure.cc} [get_canonical_archflags]"
-
-post-destroot {
-    # Fix link lib paths
-    system -W ${filespath} "sh change_install_names.sh ${destroot}"
-}
 
 livecheck.type      regex
Index: unk/dports/devel/radare2/files/change_install_names.sh
===================================================================
--- /trunk/dports/devel/radare2/files/change_install_names.sh	(revision 98668)
+++ 	(revision )
@@ -1,74 +1,0 @@
-#!/bin/sh
-
-# Be verbose.
-VERBOSE=no
-# Stop on path failures.
-STOP=no
-
-# This is the DESTROOT we have installed into.
-# Example:
-#   $ DESTROOT=/sandbox/radare2 make install
-#   $ sudo change_install_names /sandbox/radare2
-DESTROOT="${1}"
-
-# find files in DESTROOT
-FILES=( $(find "${DESTROOT}" -type f) )
-IFS=$'\n'
-# work on each file in FILES
-for (( fc = 0 ; fc < ${#FILES[@]} ; fc++ ))
-do
-    # If we are not a file or dir we are done.
-    if [[ ! -f "${FILES[$fc]}" && ! -d "${FILES[$fc]}" ]]
-    then
-        echo "FILE ${eError}: ${FILES[$fc]}"
-        break 1
-    # If we are a file lets try to fix our id. We do not bother checking file type because
-    # install_name_tool harmlessly fails to work on files it is not designed to work on.
-    elif [[ -f "${FILES[$fc]}" ]]
-    then
-        FILEID=$(echo "${FILES[$fc]}" | sed "s|^${DESTROOT}||")
-        [ "$VERBOSE" == "yes" ] && echo "FILEID: ${FILEID}"
-        # fix the file id.
-        install_name_tool -id "${FILEID}" "${FILES[$fc]}" 2>/dev/null
-    fi
-    # If not a dir, look for shared libs.
-    if [ ! -d "${FILES[$fc]}" ]
-    then
-        # Create an array of all the shared files if any.
-        SHAREDLIBRARYS=( $(otool -XL "${FILES[$fc]}" | sed -e "s/^Archive.*//" | tr -d '\t' | awk '{print $1}') )
-        if [[ ${#SHAREDLIBRARYS[@]} -gt 0 ]]
-        then
-            for (( sc = 0 ; sc < ${#SHAREDLIBRARYS[@]} ; sc++ ))
-            do
-                # If the shared lib path is not a full path we need to fix it.
-                if [ ${SHAREDLIBRARYS[$sc]:0:1} != "/" ]
-                then
-                    [ "$VERBOSE" == "yes" ] && echo "${FILES[$fc]}"
-                    [ "$VERBOSE" == "yes" ] && echo "${SHAREDLIBRARYS[$sc]}"
-                    [ "$VERBOSE" == "yes" ] && echo "find ${DESTROOT} -not -type d -name ${SHAREDLIBRARYS[$sc]}"
-                    # Try and find the lib in DESTROOT
-                    FOUNDPATH=$(find ${DESTROOT} -not -type d -name ${SHAREDLIBRARYS[$sc]} | sed "s,^${DESTROOT},,")
-                    echo "${FOUNDPATH}"
-                    # Fix the path.
-                    install_name_tool -change "${SHAREDLIBRARYS[$sc]}" "${FOUNDPATH}" "${FILES[$fc]}" 2>/dev/null
-                fi
-            done
-            # After fix test.
-            SHAREDLIBRARYS=( $(otool -XL "${FILES[$fc]}" | sed -e "s/^Archive.*//" | tr -d '\t' | awk '{print $1}') )
-            for (( sc = 0 ; sc < ${#SHAREDLIBRARYS[@]} ; sc++ ))
-            do
-                # Look for each shared files path.
-                # Also prepend DESTROOT to each path as we may be installing the path from DESTROOT now.
-                if [[ ! -f "${DESTROOT}${SHAREDLIBRARYS[$sc]}" && ! -f "${SHAREDLIBRARYS[$sc]}" ]]
-                then
-                    echo "${FILES[$fc]}"
-                    echo "${SHAREDLIBRARYS[$sc]}"
-                    exit 1
-                fi
-            done
-            [ "$VERBOSE" == "yes" ] && otool -XL "${FILES[$fc]}"
-            [ "$STOP" == "yes" ] && break 2
-        fi
-    fi
-done
-unset IFS
Index: unk/dports/devel/radare2/files/configure.diff
===================================================================
--- /trunk/dports/devel/radare2/files/configure.diff	(revision 98668)
+++ 	(revision )
@@ -1,20 +1,0 @@
---- radare2-0.9/configure	2011-12-06 02:24:43.000000000 +0100
-+++ radare2-0.9/configure.new	2012-08-27 12:04:23.000000000 +0200
-@@ -299,7 +299,7 @@
-  (command -v ${HOST}-${CC} >/dev/null 2>&1)
-  if [ $? = 0 ]; then CC="${HOST}-${CC}"; fi
- fi
--echo "main(){}" > test.c
-+echo "int main(){}" > test.c
-  (exec ${CC} ${CFLAGS} ${LDFLAGS} test.c >/dev/null 2>&1)
- if [ $? = 0 ]; then echo ${CC}; else
-  echo no ; HAVE_LANG_C=0
-@@ -341,7 +341,7 @@
- _CHKLIB_NAME=$2
- _CHKLIB_LIBS=$(echo "-l${_CHKLIB_NAME}" | sed 's,\+, -l,g')
- printf "checking for lib${_CHKLIB_NAME} ... "
--echo "main(){ }" > test.c
-+echo "int main(){ }" > test.c
- eval ${S}${COMPILER} ${CFLAGS} ${CXXFLAGS} ${LDFLAGS} ${_CHKLIB_LIBS} test.c >/dev/null 2>&1
- if [ $? = 0 ]; then
- 	eval ${VAR}=1
Index: /trunk/dports/devel/radare2/files/libr-config.mk.tail.diff
===================================================================
--- /trunk/dports/devel/radare2/files/libr-config.mk.tail.diff	(revision 98668)
+++ /trunk/dports/devel/radare2/files/libr-config.mk.tail.diff	(revision 98669)
@@ -1,5 +1,5 @@
 --- a/libr/config.mk.tail	2011-12-16 06:44:05.000000000 -0800
 +++ b/libr/config.mk.tail	2011-12-16 12:45:09.000000000 -0800
-@@ -130,6 +130,6 @@
+@@ -137,6 +137,6 @@
  ifeq (${OSTYPE},windows)
  libname=-shared -o $1.${EXT_SO}
Index: /trunk/dports/devel/radare2/files/libr-rules.mk.diff
===================================================================
--- /trunk/dports/devel/radare2/files/libr-rules.mk.diff	(revision 98668)
+++ /trunk/dports/devel/radare2/files/libr-rules.mk.diff	(revision 98669)
@@ -1,5 +1,5 @@
 --- a/libr/rules.mk	2011-12-16 06:44:05.000000000 -0800
 +++ b/libr/rules.mk	2011-12-16 14:25:19.000000000 -0800
-@@ -19,7 +19,7 @@
+@@ -35,7 +35,7 @@
  SRC=$(subst .o,.c,$(OBJ))
  
@@ -10,11 +10,2 @@
  LIBNAME=${LDFLAGS_SONAME}${LIBSO}
  endif
-@@ -102,7 +102,7 @@
- all: ${BIN}${EXT_EXE}
- 
- ${BIN}${EXT_EXE}: ${OBJ}
--	${CC} $+ -L.. ${LDFLAGS} ${LDLIBS} -o ${BIN}${EXT_EXE}
-+	${CC} $+ -L.. ${LDFLAGS} ${LDLIBS} -headerpad_max_install_names -o ${BIN}${EXT_EXE}
- endif
- 
- # Dummy myclean rule that can be overriden by the t/ Makefile
Index: unk/dports/devel/radare2/files/mk-gcc.mk.diff
===================================================================
--- /trunk/dports/devel/radare2/files/mk-gcc.mk.diff	(revision 98668)
+++ 	(revision )
@@ -1,11 +1,0 @@
---- a/mk/gcc.mk	2011-12-16 06:44:05.000000000 -0800
-+++ b/mk/gcc.mk	2011-12-16 12:22:15.000000000 -0800
-@@ -19,7 +19,7 @@
- #CFLAGS+=-arch ${ARCH}
- #LDFLAGS+=-arch ${ARCH}
- LDFLAGS_LIB=-dynamiclib
--LDFLAGS_SONAME=-Wl,-install_name,
-+LDFLAGS_SONAME=-Wl,-headerpad_max_install_names,-install_name,
- else
- LDFLAGS_LIB=-shared
- #ifneq (${NAME},)